WNTextInternal::Token Struct Reference

Internal: the token of a WNText. More...

## Public Member Functions

| Token ()

## Public Attributes

int | m_graphicZone
| the graphic zone id More...
Box2i | m_box
| the bdbox More...
Vec2i | m_pos [2]
| two positions ( seen relative to the RB point) More...
int | m_values [19]
| some unknown values More...
std::string | m_error
| the parsing errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<< More...

## Detailed Description

Internal: the token of a WNText.

## Constructor & Destructor Documentation

WNTextInternal::Token::Token | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tkn
| ) |  |

friend

operator<<

## Member Data Documentation

Box2i WNTextInternal::Token::m_box

the bdbox

Referenced by WNText::readToken(), WNText::readTokenV2(), and WNText::send().

std::string WNTextInternal::Token::m_error

the parsing errors

int WNTextInternal::Token::m_graphicZone

the graphic zone id

Referenced by WNText::readToken(), and WNText::send().

Vec2i WNTextInternal::Token::m_pos[2]

two positions ( seen relative to the RB point)

Referenced by WNText::readToken().

int WNTextInternal::Token::m_values[19]

some unknown values

Referenced by WNText::readToken(), and Token().

The documentation for this struct was generated from the following file:

- WNText.cxx